<!-- components-->
<div class="container">
  <div class="card mt-5">
    <div class="p-5">
      <h2>Criando componentes</h2>
      <p>Exemplo de importações:</p>
      <app-c1-component></app-c1-component>
      <app-c2></app-c2>
    </div>
  </div>

  <!-- ngstyle-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>NgStyle</h2>
      <p [ngStyle]="{'font-size':size}">Use the buttons to change the font size of the text</p>
      <button class="btn btn-outline-primary me-2" (click)="fontSize('20px')"><i class="fas fa-plus"></i></button>
      <button class="btn btn-outline-primary" (click)="fontSize('16px')"><i class="fas fa-minus"></i></button>
    </div>
  </div>


  <!-- ngclass-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>NgClass</h2>
      <p [ngClass]="{'class1':class,'class2':!class}">Use the button to change the class of the text</p>
      <button class="btn btn-outline-primary me-2" (click)="changeClass()">Change</button>
    </div>
  </div>

  <!-- ngclass-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>hidden</h2>

      <p [hidden]="!ngIfText">First text</p>
      <p [hidden]="ngIfText">Second text</p>

      <h2>ngIf</h2>

      <p *ngIf="ngIfText">First text</p>
      <p *ngIf="!ngIfText">Second text</p>

      <button class="btn btn-outline-primary me-2" (click)="changeNgIf()">Change</button>

    </div>
  </div>


  <!-- ngModel -->
  <div class="card mt-5">
    <div class="p-5">
      <h2>ngModel</h2>
      <input type="text" class="form-control" [(ngModel)]="nomeCompleto">

      <p class="mt-3" [hidden]="!nomeCompleto || nomeCompleto.length==0">
        <b>Nome: </b>{{nomeCompleto}}
      </p>
    </div>
  </div>

  <!-- ngFor -->
  <div class="card mt-5">
    <div class="p-5">
      <h2>ngFor + NgModel</h2>
      <ul class="list-group mt-3 w-100">
        <li class="list-group-item" *ngFor="let item of list;let i = index">
          {{item['nome'] + ', ' + item['idade'] + ' anos'}}
          <button class="btn btn-outline-danger float-end mt-1" (click)="removeList(i)">
            <i class="fas fa-trash-alt "></i>
          </button>
        </li>
      </ul>

      <div class="row mt-3">
        <div class="col-12 mb-3">
          <input class="form-control" value="" [(ngModel)]="campoNgForNome" placeholder="Nome">
        </div>
        <div class="col-12 mb-3">
          <input type="number" class="form-control" value="" [(ngModel)]="campoNgForIdade" placeholder="Idade">
        </div>
        <div class="col-12">
          <button class="btn btn-outline-primary w-100" (click)="inserirList(campoNgForNome, campoNgForIdade)">Adicionar</button>
        </div>
      </div>


    </div>
  </div>

  <!-- disabled -->
  <div class="card mt-5">
    <div class="p-5">
      <h2>disabled</h2>
      <input class="form-control mb-3" value="Input is enabled" [disabled]="!disabledInput">
      <input class="form-control" value="Input is disabled" [disabled]="disabledInput">
      <button class="btn btn-outline-primary me-2 mt-3" (click)="changeDisabled()">Change</button>
    </div>
  </div>


  <!-- ngSwitch -->
  <div class="card mt-5">
    <div class="p-5">
      <h2>ngSwitch</h2>
      <button class="btn btn-outline-primary me-2 mt-3" (click)="changeSwicth('type1')">Type 1</button>
      <button class="btn btn-outline-primary me-2 mt-3" (click)="changeSwicth('type2')">Type 2</button>
      <button class="btn btn-outline-primary me-2 mt-3" (click)="changeSwicth('default')">Default</button>
      <ul class="list-group mt-3" [ngSwitch]="switch">
        <li class="list-group-item" *ngSwitchDefault>Default</li>
        <li class="list-group-item" *ngSwitchCase="'type1'">Type 1</li>
        <li class="list-group-item" *ngSwitchCase="'type1'">Type 1</li>
        <li class="list-group-item" *ngSwitchCase="'type1'">Type 1</li>
        <li class="list-group-item" *ngSwitchCase="'type1'">Type 1</li>
        <li class="list-group-item" *ngSwitchCase="'type1'">Type 1</li>
        <li class="list-group-item" *ngSwitchCase="'type2'">Type 2</li>
        <li class="list-group-item" *ngSwitchCase="'type2'">Type 2</li>
        <li class="list-group-item" *ngSwitchCase="'type2'">Type 2</li>
        <li class="list-group-item" *ngSwitchCase="'type2'">Type 2</li>
        <li class="list-group-item" *ngSwitchCase="'type2'">Type 2</li>
        <li class="list-group-item" *ngSwitchCase="'type2'">Type 2</li>
      </ul>
    </div>
  </div>


  <!-- FormGroup=-->
  <div class="card mt-5">

    <div class="p-5">

      <h2>FormGroup, Form Control</h2>

      <form [formGroup]="formGroup" (ngSubmit)="submit(myForm)" #myForm="ngForm">
        <input class="form-control mb-3" formControlName="subject" placeholder="Subject">
        <textarea class="form-control" formControlName="note" placeholder="Write here..."></textarea>
        <div class="alert alert-danger p-1 mt-3" *ngIf="formGroup.invalid && formGroup.dirty">
          Preencha o Assunto com pelo menos 3 caracteres
        </div>

        <ul class="list-group mt-3">
          <li class="list-group-item" *ngFor="let item of Notes;">
            <h4>{{item.subject}}</h4>
            <p>
              {{item.note}}
            </p>
          </li>
        </ul>

        <button class="btn btn-outline-info w-100 mt-3" type="button" (click)="setNote()">Campos Padrão</button>
        <button class="btn btn-outline-primary w-100 mt-3" type="submit">Adicionar</button>
      </form>

    </div>

  </div>


  <!-- Componente filho - variaveis=-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>Passando variáveis entre um componente pai e filho (Outupt e evento)</h2>
      <label>Campo Pai</label>
      <input class="form-control mb-3" placeholder="campo pai" [(ngModel)]="campoPai">
      <hr>
      <app-c-filho [nomePaciente]="campoPai" (nomePacienteNovo)="atualizarCampoPai($event)"></app-c-filho>
    </div>
  </div>


  <!-- Componente filho - variaveis=-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>Serviços</h2>

      <div class="row">
        <div class="col-6">
          <app-c-son1></app-c-son1>
        </div>
        <div class="col-6">
          <app-c-son2></app-c-son2>
        </div>
      </div>


    </div>
  </div>


  <!-- Componente filho - variaveis=-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>Variável do tipo BehaviorSubject</h2>

      <button class="btn btn-outline-primary mt-3" type="button" (click)="changeStatus()">Alterar o status</button>

      <hr>
      <p>
        Status: <span>{{_aux.status.getValue() ? 'Online' : 'Offline'}}</span>
      </p>
      <hr>
      <h4>log:</h4>

      <ul class="list-group mt-3">
        <li class="list-group-item" *ngFor="let item of logStatus">{{item}}</li>
      </ul>

    </div>
  </div>


  <!-- Componente filho - variaveis=-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>Angular Material</h2>

      <form class="example-form">

        <div class="row">

          <div class="col-12 mb-3">
            <mat-form-field class="example-full-width">
              <mat-label>Favorite food</mat-label>
              <input matInput placeholder="Ex. Pizza" value="Sushi">
              <mat-icon matSuffix>key</mat-icon>
            </mat-form-field>
          </div>
          <div class="col-12 mb-3">
            <mat-form-field class="example-full-width">
              <mat-label>Leave a comment</mat-label>
              <textarea matInput placeholder="Ex. It makes me feel..."></textarea>
            </mat-form-field>
          </div>
        </div>


      </form>

    </div>
  </div>


  <!-- Componente filho - variaveis=-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>Dialog</h2>

      <button class="btn btn-outline-primary mt-3" type="button" (click)="openDialog()">Abrir Dialogo</button>


    </div>
  </div>


  <!-- Upload =-->
  <div class="card mt-5">
    <div class="p-5">
      <h2>Upload File</h2>
      <input type="file" (change)="uploadFile($event)">
    </div>
  </div>

</div>




